"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.OPSqliteOpenFactory = void 0;
var _OPSqliteAdapter = require("./OPSqliteAdapter.js");
var _SqliteOptions = require("./SqliteOptions.js");
class OPSqliteOpenFactory {
  constructor(options) {
    this.options = options;
    this.sqliteOptions = {
      ..._SqliteOptions.DEFAULT_SQLITE_OPTIONS,
      ...this.options.sqliteOptions
    };
  }
  openDB() {
    return new _OPSqliteAdapter.OPSQLiteDBAdapter({
      name: this.options.dbFilename,
      dbLocation: this.options.dbLocation,
      sqliteOptions: this.sqliteOptions
    });
  }
}
exports.OPSqliteOpenFactory = OPSqliteOpenFactory;
//# sourceMappingURL=OPSqliteDBOpenFactory.js.map