"use strict";

import { OPSQLiteDBAdapter } from "./OPSqliteAdapter.js";
import { DEFAULT_SQLITE_OPTIONS } from "./SqliteOptions.js";
export class OPSqliteOpenFactory {
  constructor(options) {
    this.options = options;
    this.sqliteOptions = {
      ...DEFAULT_SQLITE_OPTIONS,
      ...this.options.sqliteOptions
    };
  }
  openDB() {
    return new OPSQLiteDBAdapter({
      name: this.options.dbFilename,
      dbLocation: this.options.dbLocation,
      sqliteOptions: this.sqliteOptions
    });
  }
}
//# sourceMappingURL=OPSqliteDBOpenFactory.js.map