import { DB, UpdateHookOperation } from '@op-engineering/op-sqlite';
import { BaseObserver, DBAdapterListener, QueryResult } from '@powersync/common';
export type OPSQLiteConnectionOptions = {
    baseDB: DB;
};
export type OPSQLiteUpdateNotification = {
    table: string;
    operation: UpdateHookOperation;
    row?: any;
    rowId: number;
};
export declare class OPSQLiteConnection extends BaseObserver<DBAdapterListener> {
    protected options: OPSQLiteConnectionOptions;
    protected DB: DB;
    private updateBuffer;
    constructor(options: OPSQLiteConnectionOptions);
    addTableUpdate(update: OPSQLiteUpdateNotification): void;
    flushUpdates(): void;
    close(): void;
    execute(query: string, params?: any[]): Promise<QueryResult>;
    executeRaw(query: string, params?: any[]): Promise<any[][]>;
    executeBatch(query: string, params?: any[][]): Promise<QueryResult>;
    getAll<T>(sql: string, parameters?: any[]): Promise<T[]>;
    getOptional<T>(sql: string, parameters?: any[]): Promise<T | null>;
    get<T>(sql: string, parameters?: any[]): Promise<T>;
    refreshSchema(): Promise<void>;
}
//# sourceMappingURL=OPSQLiteConnection.d.ts.map